# Generated from powerhome-attr_encrypted-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name powerhome-attr_encrypted

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Power's version of the attr_encrypted gem
License: MIT
URL: https://github.com/powerhome/attr_encrypted
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(activerecord) >= 2.0.0
# BuildRequires: rubygem(actionpack) >= 2.0.0
# BuildRequires: rubygem(datamapper)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(sequel)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(sqlite3) >= 1.3.0
# BuildRequires: rubygem(sqlite3) < 1.4
# BuildRequires: rubygem(sqlite3) >= 1.3.6
# BuildRequires: rubygem(dm-sqlite-adapter)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov-rcov)
# BuildRequires: rubygem(codeclimate-test-reporter) <= 0.6.0
BuildArch: noarch

%description
Generates attr_accessors that encrypt and decrypt attributes transparently.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/certs
%{gem_instdir}/checksum
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/attr_encrypted.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.1.0-1
- Initial package
